TYPO3.Setup - Bug # 38857

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:

Created: 2012-07-10 Assigned To: Bastian Waidelich
Updated: 2012-07-11 Due date:

Subiject: "Box" too small for content

Description

Associated revisions

Revision ae5afd88 - 2012-07-10 19:33 - Bastian Waidelich

[BUGFIX] Adjust styling and reposition form buttons

With this change the setup uses the default markup for modals

see http:/twitter.github.com/bootstrap/javascript.html#modals

That comes with more space for the content and some clever
floating / responsive design tricks for smaller screens.

Besides this slightly adjusts the order of buttons to be more
intutive ("back" on the bottom left, "skip" and "next" on the

botton right).

Lastly this changes the setup form preset name from "setup" to
"typo3.setup" to avoid conflicts with 3rd party code.

Change-Id: 12b0Oe142daba193758941e528ef88964543303e07

Fixes: #38856

Fixes: #38857

Revision bac4e3c8 - 2012-07-11 16:33 - Aske Ertmann

[TASK] Fix some styling issues and use modal dialog for errors

Remove bottom margin from h3 to fix height of modal header

Remove bottom margin from form to fix overflow of modal footer

Add word-break to code tags to avoid horizontal scrolling

Add margin to body so the redirect message looks good

Include Twitter Bootstrap css before setup css
- Use modal layout for error messages

Add missing titles for errors thrown about php execuatable/version

Add versions numbers to version comparison error message

- Move jQuery to top of page to avoid inline JS breaking
Change-Id: 1575ee746cc748137cd1569b17ec4817ec7646fba

Related: #38856
Related: #38857
http://twitter.github.com/bootstrap/javascript.html#modals

History

#1 - 2012-07-10 16:27 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2012-07-10 19:29 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12747

#3 - 2012-07-10 19:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/12747

#4 - 2012-07-11 09:04 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
